%global pre     alpha
%global title   BrutalChess

Name:           brutalchess
Version:        0.5.2
Release:        1.%{pre}%{?dist}
Summary:        Chess game with full 3D graphics

License:        GPLv2+
URL:            http://sf.net/projects/%{name}
##we don't want the original fonts due to legal reasoning
#http://sf.net/projects/%{name}/files/%{name}-%{pre}/%{name}-%{pre}-%{version}/%{name}-%{pre}-%{version}-src.tar.gz
Source0:        %{name}-%{pre}-%{version}-nofonts.tar.xz
Source1:        %{name}-nofonts.sh

Patch0:         brutalchess-freetype2.patch
Patch1:         brutalchess-fonts.diff

Source10:       http://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}.desktop
Source11:       http://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}.png
Patch10:        http://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-fix-FTBFS.patch
Patch11:        http://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-gcc4.3.patch
Patch12:        http://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-gcc4.7.patch

##FIXME libXt support is a feature
BuildRequires:  libXt-devel mesa-libGL-devel
BuildRequires:  SDL-devel SDL_image-devel
BuildRequires:  freetype-devel
BuildRequires:  gnu-free-mono-fonts gnu-free-sans-fonts gnu-free-serif-fonts
BuildRequires:  dos2unix doxygen
#BuildRequires:  %{_bindir}/latex  texlive-texconfig
#BuildRequires:  %{_bindir}/dvips %{_bindir}/ps2pdf %{_bindir}/psnup
BuildRequires:  desktop-file-utils

Requires:       %{name}-data = %{version}-%{release}
Requires:       %{name}-fonts = %{version}-%{release}

%description
%{title} features full 3D graphics, an advanced particle engine, 
and several different levels of intelligent AI, inspired by the once 
popular "Battle Chess" released by Interplay circa 1988.


%package data
Summary:        Data files for the game %{title}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description data
Data files of the game %{title}: art, fonts and models.


%package devel
Summary:        Additional files for development of the game %{title}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description devel
Extra development files for the game %{title}, like doxygen:
html and latex formats.


%package fonts
Summary:        Fonts of the game %{title}
BuildArch:      noarch

%description fonts
Fonts generically of the game %{title}. There are symlinks to ensure at
least basic functionality. Fedora can not ship the original fonts.


%prep
%setup -q
sed -i s,fonts,, Makefile.in
%patch0 -p0
%patch1 -p1
%patch10
%patch11
%patch12 -p1
dos2unix NEWS README
doxygen -u


%build
%configure --with-x
make %{?_smp_mflags}
doxygen


%install
%make_install

##misplaced content
rm -r %{buildroot}%{_datadir}/%{name}/doc

##desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE10}
install -d %{buildroot}%{_datadir}/pixmaps
cp -p %{SOURCE11} %{buildroot}%{_datadir}/pixmaps

##fonts configuration made legally
##FIXME ugly hackery with symlinks for fixed file names,
##could change in future, maybe better ask upstream to patch source
install -d %{buildroot}%{_datadir}/%{name}/fonts
pushd %{buildroot}%{_datadir}/%{name}/fonts
rm *.TTF *.tff || true
ln -s ../../fonts/gnu-free/FreeSerifBold.ttf COOLVETI.TTF
ln -s ../../fonts/gnu-free/FreeSerif.ttf Ghostwri.ttf
ln -s ../../fonts/gnu-free/FreeMono.ttf VeraMono.ttf
ln -s ../../fonts/gnu-free/FreeSans.ttf ZERO__.TTF
popd

##doxygen
install -d %{buildroot}%{_pkgdocdir}
cp -ap doc/html %{buildroot}%{_pkgdocdir}
##FIXME dependencies not clear for dvi
#cd doc/latex
#make all
#make ps pdf
#make ps_2on1 pdf_2on1
#install -m0644 refman.* %{buildroot}%{_pkgdocdir}
cp -ap doc/latex %{buildroot}%{_pkgdocdir}


%files
%{_bindir}/%{name}
%{_libexecdir}/md3view
%{_libexecdir}/objview
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%doc AUTHORS COPYING ChangeLog NEWS README

%files data
%{_datadir}/%{name}/art/
%{_datadir}/%{name}/models/

#%files devel
#%dir %{_pkgdocdir}
#%{_pkgdocdir}/html/
#%{_pkgdocdir}/latex/

%files fonts
%{_datadir}/%{name}/fonts/


%changelog
* Sat Oct 25 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0.5.2-1.alpha
- original by Timur Kristóf (rhbz #701812)
- desktop stuff and gcc patches from Slackware
- link freetype2 properly
- replace fonts, patch adopted from Debian
- macro title in description
- enhance documentation with doxygen and latex
